package com.docus.server.report.api.dto;

public class SdPacsServerConfig {
    private String url;
    private String namespaceUri;
    private String operationName;
    private String functionName;
    private String functionType;
    private String caller;
    private LicenseInfo licenseInfo;
    private int interval;
    private String handlerSystem;

    public String getHandlerSystem() {
        return handlerSystem;
    }

    public void setHandlerSystem(String handlerSystem) {
        this.handlerSystem = handlerSystem;
    }

    public int getInterval() {
        return interval;
    }

    public void setInterval(int interval) {
        this.interval = interval;
    }

    public String getOperationName() {
        return operationName;
    }

    public void setOperationName(String operationName) {
        this.operationName = operationName;
    }

    public String getNamespaceUri() {
        return namespaceUri;
    }

    public void setNamespaceUri(String namespaceUri) {
        this.namespaceUri = namespaceUri;
    }

    public String getUrl() {
        return url;
    }


    public void setUrl(String url) {
        this.url = url;
    }

    public String getFunctionName() {
        return functionName;
    }

    public void setFunctionName(String functionName) {
        this.functionName = functionName;
    }

    public String getFunctionType() {
        return functionType;
    }

    public void setFunctionType(String functionType) {
        this.functionType = functionType;
    }

    public String getCaller() {
        return caller;
    }

    public void setCaller(String caller) {
        this.caller = caller;
    }

    public LicenseInfo getLicenseInfo() {
        return licenseInfo;
    }

    public void setLicenseInfo(LicenseInfo licenseInfo) {
        this.licenseInfo = licenseInfo;
    }

    public static class LicenseInfo {
        private String caller;
        private String license;

        public String getCaller() {
            return caller;
        }

        public void setCaller(String caller) {
            this.caller = caller;
        }

        public String getLicense() {
            return license;
        }

        public void setLicense(String license) {
            this.license = license;
        }

        @Override
        public String toString() {
            return "LicenseInfo{" +
                    "caller='" + caller + '\'' +
                    ", license='" + license + '\'' +
                    '}';
        }
    }
}
